import { Vue } from "vue-property-decorator";
import { TaskModule } from "../modules/TaskModule";
import { Task } from "../types/Task";
import { LoadTasksPayload } from "../http/dto/LoadTasksPayload";
export default class BaseTasksPage extends Vue {
    taskModule: TaskModule;
    isInitialLoading: boolean;
    initialPayload: LoadTasksPayload;
    lastLoadedTasksLength: number;
    get tasks(): Task[];
    infinityLoad(index: number, done: Function): Promise<void>;
    get isDisableInfinity(): boolean;
    initialLoad(): Promise<Task[]>;
    toIndexRoute(): void;
    toNewTaskPage(): void;
    activated(): void;
    deactivated(): void;
}
